[Rainmeter]
Update=40
LocalFont="#SKINSPATH#\Portal\a_LCDNova.ttf"
LeftMouseDoubleClickAction=!Execute ["#SKINSPATH#\Portal\weather\Resources\Variables.txt"]

@include="#SKINSPATH#\Portal\weather\Resources\Variables.txt"

[Style]
StringStyle=BOLD
StringEffect=SHADOW

[Variables]
SDTPATH="#SKINSPATH#\Portal\weather\Resources"
LocalFontFace=a_LCDNova

---------------------------------------------------------------------
[CLOSED]
	Measure=Calc
	Formula=0
[OPENED]
	Measure=Calc
	Formula=31
[STOP]
	Measure=Calc
	Formula=Counter
[HOLD]
	Measure=Calc
	Formula=HOLD = 0 ? STOP : HOLD
	Disable=1
[RESET]
	Measure=Calc
	Formula=STOP - HOLD
	IfAboveValue=30
	IfAboveAction=!Execute [!RainmeterDisableMeasure HOLD]
[FORWARD]
	Measure=Calc
	MinValue=0
	MaxValue=31
	Formula=(STOP-HOLD < 31) ? STOP-HOLD : 0
	IfEqualValue=30
	IfEqualAction=!Execute [!RainmeterShowMeter (close)][!RainmeterShowMeter (opened)][!RainmeterDisableMeasure MeasureQuote][!RainmeterShowMeterGroup pan][!RainmeterHideMeter (forward)][!RainmeterDisableMeasure FORWARD][!RainmeterDisableMeasure HOLD][!RainmeterRedraw]
	Disabled=1
[REVERSE]
	Measure=Calc
	MinValue=0
	MaxValue=21
	Formula=(STOP-HOLD < 21) ? 21-(STOP-HOLD) : 20
	IfEqualValue=1
	IfEqualAction=!Execute [!RainmeterShowMeter (open)][!RainmeterHideMeter (reverse)][!RainmeterDisableMeasure REVERSE][!RainmeterDisableMeasure HOLD][!RainmeterRedraw]
	Disabled=1


[(forward)]
Meter=Image
W=560
H=510
ImageName=Animation\[FORWARD].png
DynamicVariables=1
Hidden=1

[(reverse)]
Meter=Image
W=560
H=510
ImageName=Revers\[REVERSE].png
DynamicVariables=1
Hidden=1


[(opened)]
Meter=Image
W=560
H=510
ImageName=Animation\30.png
Hidden=1

[MeasureQuote]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#SKINSPATH#Portal\Samples
Subfolders=1
FileFilter=RP.wav
Disabled=1

[(close)]
meter=button
X=495
buttonimage=button.png
LeftMouseDownAction=!Execute [!RainmeterDisableMeasure MeasureWeatherRSS][!RainmeterDisableMeasure MeasureWeatherTemp][!RainmeterDisableMeasure MeasureWeatherIcon][!RainmeterDisableMeasure MeasureWeatherLocation][!RainmeterDisableMeasure MeasureWeatherDesc][!RainmeterDisableMeasure MeasureWeatherTemp2][!RainmeterDisableMeasure MeasureWeatherIcon2][!RainmeterDisableMeasure MeasureWeatherDate3][!RainmeterDisableMeasure MeasureWeatherTemp3][!RainmeterDisableMeasure MeasureWeatherIcon3][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan]


[(open)]
meter=button
X=495
buttonimage=button.png
LeftMouseDownAction=!Execute [!RainmeterEnableMeasure MeasureWeatherRSS][!RainmeterEnableMeasure MeasureWeatherTemp][!RainmeterEnableMeasure MeasureWeatherIcon][!RainmeterEnableMeasure MeasureWeatherLocation][!RainmeterEnableMeasure MeasureWeatherDesc][!RainmeterEnableMeasure MeasureWeatherTemp2][!RainmeterEnableMeasure MeasureWeatherIcon2][!RainmeterEnableMeasure MeasureWeatherDate3][!RainmeterEnableMeasure MeasureWeatherTemp3][!RainmeterEnableMeasure MeasureWeatherIcon3][!RainmeterHideMeter (open)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure FORWARD][!RainmeterShowMeter (forward)][!RainmeterRedraw]



[Button]
meter=button
X=495
buttonimage=button.png
ButtonCommand=PLAY [measurequote]
MouseOverAction=!Execute [!RainmeterEnableMeasure MeasureQuote]

------------------------------------------------------------------------------------------







[MeasureWeatherRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=2000
Url=http://weather.yahooapis.com/forecastrss?p=#WeatherCode#&u=c
RegExp=(?siU)<link.*>(.*)</link>.*city=\"(.*)\".*sunrise=\"(.*)\".*sunset=\"(.*)\".*<image>.*<url>(.*)</url>.*<title>.*:.*m .*(.*)</title>.*lat>(.*)<.*long>(.*)<.*yweather:condition.*text=\"(.*)\".*code=\"(.*)\".*temp=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*
StringIndex=1
Disabled=1

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=11
Disabled=1

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=10
Disabled=1

[CurrentTemperature]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp
X=145
Y=390
Angle=-0.91
FontColor=255,255,255
FontSize=20
FontFace=#LocalFontFace#
StringAlign=left
StringStyle=bold
Postfix="°"
AntiAlias=1
Group=Pan
Hidden=1

[CurrentIcon]
Meter=Image
MeasureName=MeasureWeatherIcon
Path="#SKINSPATH#\Portal\weather\Resources\Large\"
X=205
Y=90
ImageRotate=-50
Group=Pan
Hidden=1

[MeasureWeatherLocation]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=02
Substitute="#city_eng#":"#city_rus#"
Disabled=1

[WeatherLocation]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherLocation
X=120
Y=365
Angle=-0.91
FontFace=#LocalFontFace#
StringStyle=bold
FontColor=255,255,255
FontSize=20
AntiAlias=1
Group=Pan
Hidden=1

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=9
Substitute="Mostly Cloudy":"Переменная облачность","Light Snow":"Небольшой снег","Light Rain Shower":"Небольшой ливень","Light Rain":"Небольшой дождь","Mostly Clear":"Переменная облачность","Mostly Sunny":"Облачно с прояснениями","Partly Cloudy":"Ясно","Freezing Rain":"Ледяной дождь","Light Rain":"Небольшой дождь","in the Vicinity":"в окресности","Light Snow":"Небольшой снег","W-ead Dust":"Пыльная буря","Light Drizzle":"Небольшая изморось","Showers Late":"Поздний дождь","Cloudy":"Облачно","Drizzle":"Изморось","Lgt":"Ясно","And":"И","Partly":"Местами","and":"и","with":"с","Clear":"Ясно","Fair":"Ясно","Rain":"Дождь","Thunderstorm":"Гроза","Thunder":"Гром","Snow":"Снег","Sunny":"Солнечно","Windy":"Ветренно","Haze":"Дымка","Fog":"Туман","Set":"Закат","Wintry Mix":"Ветер","Light":"Ясно","Mist":"Туман","Wind":"Ветер","Showers":"Дождь","Scattered":"Моросящий","T-Storms":"Гроза","AM":"Ночью","PM":"Днем"
Disabled=1

[WeatherDescription]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherDesc
X=170
Y=365
Angle=-0.91
FontSize=16
FontFace=#LocalFontFace#
FontColor=255,255,255
AntiAlias=1
Group=Pan
Hidden=1

[Today]
Meter=STRING
MeterStyle=Style
X=203
Y=438
Angle=-0.91
FontColor=255,255,255
FontFace=#LocalFontFace#
StringStyle=bold
FontSize=16
Text="Сегодня"
AntiAlias=1
Group=Pan
Hidden=1

[MeasureWeatherTemp2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=13
Disabled=1

[TodayTemperature]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp2
X=270
Y=351
Angle=-0.91
FontSize=16
FontFace=#LocalFontFace#
FontColor=255,255,255
Postfix="°"
AntiAlias=1
Group=Pan
Hidden=1

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=14
Disabled=1

[TodayIcon]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#SKINSPATH#\Portal\weather\Resources\Small\"
X=305
Y=190
ImageRotate=-50
Group=Pan
Hidden=1

[MeasureWeatherDate3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=15
Substitute="Mon":"Понедельник","Tue":"Вторник","Wed":"Среда","Thu":"Четверг","Fri":"Пятница","Sat":"Суббота","Sun":"Воскресенье"
Disabled=1

[Date3]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherDate3
X=249
Y=472
Angle=-0.91
FontColor=255,255,255
FontFace=#LocalFontFace#
StringStyle=bold
FontSize=16
AntiAlias=1
Group=Pan
Hidden=1

[MeasureWeatherTemp3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=16
Disabled=1

[Temperature3]
Meter=STRING
MeterStyle=Style
MeasureName=MeasureWeatherTemp3
X=332
Y=364
Angle=-0.91
FontFace=#LocalFontFace#
FontColor=255,255,255
FontSize=16
Postfix="°"
AntiAlias=1
Group=Pan
Hidden=1

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=17
Disabled=1

[Icon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#SKINSPATH#\Portal\weather\Resources\Small\"
X=350
Y=225
ImageRotate=-50
Group=Pan
Hidden=1
